ActiveGate plugins limitations

Learn about the limitations and requirements of ActiveGate plugins.

Python version

The Python version used by ActiveGate Plugins is 3.6 (3.6.6). Other Python versions aren't supported.

Using external libraries

You have to place all the libraries needed to run ActiveGate plugins in the plugin directory. Keep in mind the order in which the libraries are loaded:

  1. Engine libraries (Docker client, request, urllib3, etc.).
  2. Built-in plugin libraries (in alphabetic order of directories).
  3. Custom plugin libraries (in alphabetic order of directories).

If you're using libraries of different versions than those previously loaded, you need to sync the libraries.

Quotas

The ActiveGate plugin module limits the amount of data sent to Dynatrace Server. The table below presents the entities where limits apply, along with the maximum values.

Entity Description Max. value
Groups Number of device groups created per minute 50
Devices Number of devices created per minute 500
Measurements limit Number of metrics including dimensions per minute 100,000
Events limit Number of events per minute 100
Event title length Length of event title string 1,024
Event description length Length of event description string 10,240
Event properties limit Number of elements in event properties dictionary 100
Event property key length Length of event property key string 100
Event property value length Length of event property value string 4,000

Filtering metrics, problems, and events

Remember there are several filtering systems. Custom metrics and events are limited by quotas. If ActiveGate module quotas are in use, you'll find this information in the Remote Plugin Module logs.